Subject: Re: new GUI setup program!
From: "Tim Prince" <[email-masked]>
To: "DJ Delorie" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 13 Jul 2000 18:15:46 -0700

Well, I didn't want to try it, but my g++ turned out broken, so I'm
exercising it over plain dial-up.  It's into gdb now, still cruising at
5 kb/s.

Tim Prince
----- Original Message -----
From: "DJ Delorie" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, July 13, 2000 5:56 PM
Subject: Re: new GUI setup program!

>
> > You mean it crashes at the drop of a hat, ... ?
>
> OK, just the *good* things windows users have come to expect.
>
> > The options on the "Select root directory" dialogue could probably
do
> > with some explanation.
>
> Yup.  I'll have to either enlarge the dialog box, or add a help
> button.
>
> > I checked "Use IE5 settings" because I didn't have any choice (why
> > is it even an option when there's no alternative?
>
> If you read the README in the sources, you'll see that the other
> options are "to-do" items.
>
> > and what if I didn't have IE5?),
>
> Then setup wouldn't even run.  Same as the old setup.  When we
> complete that to-do item, you could choose a direct connection, which
> doesn't require installing IE5 but also doesn't use the automatic
> proxy stuff that IE5 provides.
>
> > and left the user ID and password boxes blank because I had no idea
> > what to put in them, and it seemed to work.
>
> If you use a proxy that requires authentication, you'd put that there.
> It's optional.  People who need it usually know that they need it.
>
> > The "Select download site" dialogue is too small (and needs a
> > horizontal scroll bar).
>
> OK, I guess I'll grow that one too.
>
> > Also, it might make finding the one you want a bit easier if they
> > were sorted.
>
> I'll add it to the to-do list.
>
> > You should probably preselect a default (probably
> > ftp.freesoftware.com) for people who aren't familiar with the
> > mirrors.
>
> The appropriate default depends on where the user is, so we can't
> really know which one to pick.
>
> > (I notice Sourceware's own site is no longer included -- is this a
> > deliberate change in policy or just an oversight?)
>
> It's an aspect of how the mirror list on the web site works.  I added
> it to the master list so it should start showing up.
>
> > You might want to consider a "total download progress" indicator,
> > like the one in the install phase.
>
> I'll add it to the to-do list.
>
> Note that adding things to the to-do list doesn't mean they'll get
> done.  It just means that when people are interested in working on
> setup, they'll know what kinds of things people have asked for.
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]